<?php
//En este modelo se encuentra todas las consultas realizadas en la tabla de Fraquicias(Admin)
class RFranquicias_model extends CI_Model 
{ 
  //Funcion para generar los reportes.
 function fetch_data()

{
  $this->db->join('modelo','Modelo_IdModelo = IdModelo','inner');
  $this->db->join('zona','Zona_IdZona= IdZona','inner');

  $this->db->order_by("IdFranquicias", "NombreFranquicia");
  $query = $this->db->get("franquicias");
  return $query->result();
}

  public function actiongeneral()
{
  $this->load->model("rfranquicias_model");
  $this->load->library("GenerarReporteExcel/excel");
}

   //Consulta que muestra las zonas registradas   
    public function BuscarZona(){
    $query = $this->db-> query('SELECT IdZona,NombreZona FROM zona'); 
    if ($query->num_rows() > 0) { 
    foreach($query->result() as $row) 
    $arrDatos[htmlspecialchars($row->IdZona, ENT_QUOTES)] = htmlspecialchars($row->NombreZona, ENT_QUOTES); 
    $query->free_result(); 
    return $arrDatos; }  
}
 //Consulta que hace la busqueda de la franquicia dependiendo la zona
    public function buscarporzona($query) {
    $this->db->where('Zona_IdZona', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('franquicias');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Administrador/RFranquicias','refresh');
       echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Administrador/RFranquicias';
                 </script>";
  }
}
    public function BuscarModelo(){
     $query = $this->db-> query('SELECT IdModelo,NombreModelo FROM modelo'); 
      if ($query->num_rows() > 0) { 
      foreach($query->result() as $row) 
      $arrDatos[htmlspecialchars($row->IdModelo, ENT_QUOTES)] = htmlspecialchars($row->NombreModelo, ENT_QUOTES); 
       $query->free_result(); 
      return $arrDatos; }
}   
    public function buscarpormodelo($query) {
    $this->db->where('Modelo_IdModelo', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('franquicias');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      // echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Administrador/RFranquicias','refresh');
      echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Administrador/RFranquicias';
                 </script>";

    }
  }
}